wl_event_queue(3)

NAME
wl_event_queue -

A queue for wl_proxy object events.

SYNOPSIS

#include <wayland-client.h>

  Public Member Functions
void wl_event_queue_destroy (struct wl_event_queue *queue)

Detailed Description

A queue for wl_proxy object events. Event queues allows the events on a display to be handled in a thread-safe manner. See wl_display for details.

Member Function Documentation

  void wl_event_queue_destroy (struct wl_event_queue *queue)
Destroy an event queue

Parameters:
    queue The event queue to be destroyed

Destroy the given event queue. Any pending event on that queue is discarded.

The wl_display object used to create the queue should not be destroyed until all event queues created with it are destroyed with this function.

Author

Generated automatically by Doxygen for Wayland from the source code.